Support of Class::{expr}() syntax from Php 5.4
ClosedPublic

Authored by shashwatdixit on Mar 2 2017, 7:47 PM.

Diff Detail

Repository
R52 KDevelop: PHP Support
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
shashwatdixit created this revision.Mar 2 2017, 7:47 PM
Restricted Application added a subscriber: kdevelop-devel. · View Herald TranscriptMar 2 2017, 7:47 PM
kfunk added a reviewer: pprkut.Mar 4 2017, 8:52 AM
mwolff accepted this revision.Mar 5 2017, 9:50 PM

lgtm, esp. since a test is added

This revision is now accepted and ready to land.Mar 5 2017, 9:50 PM
pprkut accepted this revision.Mar 6 2017, 8:54 AM

lgtm as well :)

zhigalin accepted this revision.Mar 6 2017, 11:09 PM
kfunk added a comment.Mar 7 2017, 8:27 AM

@shashwatdixit Thanks for working on kdev-php. If you'd like to contribute a bit I suggest having a look at the failing unit tests first, e.g. https://build.kde.org/view/Kdevelop/job/kdev-php%20master%20kf5-qt5/30/PLATFORM=Linux,compiler=gcc/testReport/

This revision was automatically updated to reflect the committed changes.